#include <iostream>
#include <fstream>
#include <iomanip>

using namespace std;

int main()
{
	ifstream input;
	ofstream output;
	input.open("sotnn.inp");
	int n;
	double total_odd = 0;
	double total_even = 0;
	double total = 0;
	int i;
	input >> n;
	input.close();
	output.open("sotnn.out");
	for (i = 0; i < n; i += 2)
	{
		total_odd += i;
	}
	output << total_odd << ' ';
	total_odd /= (i / 2 - 1);
	output << fixed << setprecision(2) << total_odd << endl;
	for (i = 1; i < n; i += 2)
	{
		total_even += i;
	}
	output << setprecision(0) << total_even << ' ';
	total_even /= (i + 1) / 2 - 1;
	output << fixed << setprecision(2) << total_even << endl;
	for (i = 0; i < n; i++)
	{
		total += i;
	}
	output << setprecision(0) << total << ' ';
	total /= i - 1;
	output << fixed << setprecision(2) << total << endl;
	output.close();
	return 0;
}